---
lang: en
title: 'API docs: authentication-jwt.jwtauthenticationstrategy'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.jwtauthenticationstrategy.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [JWTAuthenticationStrategy](./authentication-jwt.jwtauthenticationstrategy.md)

## JWTAuthenticationStrategy class

**Signature:**

```typescript
export declare class JWTAuthenticationStrategy implements AuthenticationStrategy 
```
**Implements:** [AuthenticationStrategy](./authentication.authenticationstrategy.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(tokenService)](./authentication-jwt.jwtauthenticationstrategy._constructor_.md) |  | Constructs a new instance of the <code>JWTAuthenticationStrategy</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./authentication-jwt.jwtauthenticationstrategy.name.md) |  | string |  |
|  [tokenService](./authentication-jwt.jwtauthenticationstrategy.tokenservice.md) |  | [TokenService](./authentication.tokenservice.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [authenticate(request)](./authentication-jwt.jwtauthenticationstrategy.authenticate.md) |  |  |
|  [extractCredentials(request)](./authentication-jwt.jwtauthenticationstrategy.extractcredentials.md) |  |  |


